Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Latest update broke Zend Studio (eclipse) [WORKAROUND]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Saundersx
Apprentice
Apprentice


Joined: 11 Apr 2005
Posts: 189

PostPosted: Sat Jan 05, 2013 2:41 am    Post subject: Latest update broke Zend Studio (eclipse) [WORKAROUND] Reply with quote

I just updated my system which included glib/gobject and the like, afterwards launching Zend does this

Code:
./ZendStudio
**
GLib-GObject:ERROR:gobject.c:4141:g_weak_ref_set: assertion failed: (weak_locations != NULL)


Aside from trying to roll back glibc what else could be causing this.


Last edited by Saundersx on Sun Jan 06, 2013 9:42 pm; edited 1 time in total
Back to top
View user's profile Send private message
Saundersx
Apprentice
Apprentice


Joined: 11 Apr 2005
Posts: 189

PostPosted: Sun Jan 06, 2013 9:41 pm    Post subject: Reply with quote

I'm getting really good at having unique problems nobody else has 8) anyway for the one-two people this may effect I did this

rolled these back

Code:
=glib-2.32.4-r1 =dev-libs/gobject-introspection-1.32.1 =dev-python/pygobject-3.2.2-r1 =x11-libs/gdk-pixbuf-2.26.4 =net-libs/glib-networking-2.32.3 =dev-cpp/glibmm-2.32.1 =x11-libs/pango-1.30.1 =net-libs/libsoup-2.38.1 =net-libs/webkit-gtk-1.8.3-r300 =x11-libs/gtk+-3.4.4 =dev-util/glade-3.12.2 =dev-util/gdbus-codegen-2.32.4


and masked them

Code:
>=dev-libs/glib-2.33.0
>dev-libs/gobject-introspection-1.32.1
>dev-python/pygobject-3.2.2-r1
>x11-libs/gdk-pixbuf-2.26.4
>net-libs/glib-networking-2.32.3
>dev-cpp/glibmm-2.32.1
>x11-libs/pango-1.30.1
>net-libs/libsoup-2.38.1
>net-libs/webkit-gtk-1.8.3-r300
>x11-libs/gtk+-3.4.4
>dev-util/glade-3.12.2
>dev-util/gdbus-codegen-2.32.4


and zend works again. This is for version 9.0.4 iirc, not sure if v10 beta has this problem.
Back to top
View user's profile Send private message
Sh4doW
n00b
n00b


Joined: 13 Mar 2003
Posts: 36

PostPosted: Mon Jan 07, 2013 3:11 pm    Post subject: Reply with quote

As one of the other two users, I thank you for package mask list.

btw ZendStudio 10 beta is also crashing with the same error message.
_________________
only sheep need a leader.
Back to top
View user's profile Send private message
MP_
n00b
n00b


Joined: 10 Nov 2003
Posts: 57
Location: Budapest, Hungary

PostPosted: Thu Jan 24, 2013 2:42 pm    Post subject: Reply with quote

You'll see activity soon enough, since Fedora 18 also has this problem.
_________________
MP
Back to top
View user's profile Send private message
Saundersx
Apprentice
Apprentice


Joined: 11 Apr 2005
Posts: 189

PostPosted: Sat May 18, 2013 1:40 am    Post subject: Reply with quote

old thread, but if you "emerge =x11-libs/gtk+-2.24.18" it seems to work without crashing, so far...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum